masked_stretch_blit(3)

NAME
masked_stretch_blit

SYNOPSIS
#include <allegro.h>

void masked_stretch_blit(BITMAP *source, BITMAP *dest, int source_x, source_y, source_w, source_h, int dest_x, dest_y, dest_w, dest_h);

DESCRIPTION
Like masked_blit(), except it can scale images (so the source and destination rectangles don't need to be the same size). This routine doesn't do as much safety checking as the regular masked_blit(): in particular you must take care not to copy from areas outside the source bitmap. Moreover, the source must be a memory bitmap.

SEE ALSO
blit(3), masked_blit(3), stretch_blit(3), stretch_sprite(3)